For the complete documentation index, see llms.txt. This page is also available as Markdown.

PreMatch

Snapshot API endpoints for PreMatch events.

Use these endpoints to retrieve a current snapshot of PreMatch events, markets, fixtures, and scores.

For general usage guidelines, request limitations, and time filtering behaviour, see the Snapshot API overview.


GetEvents

Retrieve a full snapshot of all PreMatch events, including fixtures, markets, and scores.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetEvents
POST /PreMatch/GetEvents HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of 'Prematch/GetEvents'

GetFixtures

Retrieve a snapshot of PreMatch fixture data only (without markets or scores).

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetFixtures
POST /PreMatch/GetFixtures HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of 'Prematch/GetFixtures' (JSON)

GetFixtureMarkets

Retrieve a snapshot of markets for PreMatch fixtures.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetFixtureMarkets
POST /PreMatch/GetFixtureMarkets HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of 'Prematch/GetFixturesMarket' (JSON)

GetScores

Retrieve a snapshot of scores for PreMatch fixtures.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetScores
POST /PreMatch/GetScores HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of '/PreMatch/GetScores'

Last updated

Was this helpful?